<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseInlineImageMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $imageUrl = null;
    


    protected $imageText = null;
    


    protected $alignment = null;
    


    protected $tapLinkUrl = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getImageUrl()
    {
        return $this->imageUrl;
    }

    public function hasImageUrl()
    {
        return isset($this->imageUrl);
    }

    public function clearImageUrl()
    {
        unset($this->imageUrl);
    }

    




    public function setImageUrl($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\AIRichResponseImageURL::class);
        $this->imageUrl = $var;

        return $this;
    }

    



    public function getImageText()
    {
        return isset($this->imageText) ? $this->imageText : '';
    }

    public function hasImageText()
    {
        return isset($this->imageText);
    }

    public function clearImageText()
    {
        unset($this->imageText);
    }

    




    public function setImageText($var)
    {
        GPBUtil::checkString($var, True);
        $this->imageText = $var;

        return $this;
    }

    



    public function getAlignment()
    {
        return isset($this->alignment) ? $this->alignment : 0;
    }

    public function hasAlignment()
    {
        return isset($this->alignment);
    }

    public function clearAlignment()
    {
        unset($this->alignment);
    }

    




    public function setAlignment($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\AIRichResponseInlineImageMetadata\AIRichResponseImageAlignment::class);
        $this->alignment = $var;

        return $this;
    }

    



    public function getTapLinkUrl()
    {
        return isset($this->tapLinkUrl) ? $this->tapLinkUrl : '';
    }

    public function hasTapLinkUrl()
    {
        return isset($this->tapLinkUrl);
    }

    public function clearTapLinkUrl()
    {
        unset($this->tapLinkUrl);
    }

    




    public function setTapLinkUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->tapLinkUrl = $var;

        return $this;
    }

}

